$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.66.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.66.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F6D139216CB26DD6917EBA6214FDCA0D984B85CBB105B4168EF750878E698E44'
  checksumType = 'sha256'
  checksum64 = 'F6D139216CB26DD6917EBA6214FDCA0D984B85CBB105B4168EF750878E698E44'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.66-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
